summaryrefslogtreecommitdiff
path: root/share/hydractl/ssh-finger
diff options
context:
space:
mode:
Diffstat (limited to 'share/hydractl/ssh-finger')
-rwxr-xr-xshare/hydractl/ssh-finger31
1 files changed, 31 insertions, 0 deletions
diff --git a/share/hydractl/ssh-finger b/share/hydractl/ssh-finger
new file mode 100755
index 0000000..edc5909
--- /dev/null
+++ b/share/hydractl/ssh-finger
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Check puppet fingerprints, hydractl perspective.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+BASENAME="`basename $0`"
+
+# Get the fingerprints
+if [ -d "/etc/ssh" ]; then
+ for i in /etc/ssh/*.pub; do
+ ssh-keygen -l -f $i
+ done
+fi